package com.fs.fastGpt.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 转人工提示词对象 fastgpt_chat_artificial_words
 *
 * @author fs
 * @date 2025-05-07
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class FastgptChatArtificialWords extends BaseEntity{

    /** id */
    private Long id;

    /** 类型 1报错 2关键词 */
    @Excel(name = "类型 1报错 2关键词")
    private Long type;

    /** 文本 */
    @Excel(name = "文本")
    private String content;

    /** 状态 */
    @Excel(name = "状态")
    private Long status;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getType() {
        return type;
    }

    public void setType(Long type) {
        this.type = type;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Long getStatus() {
        return status;
    }

    public void setStatus(Long status) {
        this.status = status;
    }

    public Long getSort() {
        return sort;
    }

    public void setSort(Long sort) {
        this.sort = sort;
    }
}
